JBIGTOPNM(1)

NAME
jbigtopnm - JBIG to PNM image file converter

SYNOPSIS
jbigtopnm [ options ] [ input-file | - [ output-file ]]

DESCRIPTION
Reads in a JBIG bi-level image entity (BIE) from a file or standard input, decompresses it, and outputs a PBM or PGM file. If the input has one plane, or you choose just one plane of it, the output is PBM. Otherwise, the output is PGM. JBIG is a highly effective lossless compression algorithm for bi-level images (one bit per pixel), which is particularly suitable for scanned document pages. A JBIG encoded image can be stored in several resolutions in one or several BIEs. All resolution layers except the lowest one are stored efficiently as differences to the next lower resolution layer. Options -x and -y can be used to stop the decompression at a specified maximal output image size. The input file can consist of several concatenated BIEs which contain different increasing resolution layers of the same image.

OPTIONS

-   A single hyphen instead of an input file name will cause jbigtopnm to read the data from standard input instead from a file.

-x number
    Decode only up to the largest resolution layer which is still not more than number pixels wide. If no such resolution layer exists, then use the smallest one available.

-y number
    Decode only up to the largest resolution layer which is still not more than number pixels high. If no such resolution layer exists, then use the smallest one available. Options -x and -y can also be used together in which case the largest layer that satisfies both limits will be selected.

-b  Use binary values instead of Gray code words in order to decode pixel values from multiple bitplanes. This option has only an effect if the input has more than one bitplane and you don't select just one of those bitplanes. Note that the decoder has to be used in the same mode as the encoder and cannot determine from the BIE, whether Gray or binary code words were used by the encoder.

-d  Diagnose a BIE. With this option, jbigtopnm will only print a summary of the header information found in the input file and then exit.

-p number
    If the input contains multiple bitplanes, then extract only the specified single plane as a PBM file. The first plane has number 0.

STANDARDS
This program implements the JBIG image coding algorithm as specified in ISO/IEC 11544:1993 and ITU-T T.82(1993).

AUTHOR
The jbigtopnm is based on the JBIG library by Markus Kuhn, part of his JBIG-KIT package. The jbgtopbm program is part of the JBIG-KIT package. The most recent version of that library and tools set is freely available on the Internet from anonymous ftp server ftp.informatik.uni-erlangen.de in directory pub/doc/ISO/JBIG/. jbigtopnm is part of the Netpbm package of graphics tools.

SEE ALSO
pbm(5),pgm(5),pbmtojbg(1)

LICENSE
If you use jbigtopnm, you are using various patents, particularly on its arithmetic encoding method, and in all probability you do not have a license from the patent owners to do so.